Bug 441750 - ia64 selinux: Properly install files and symlinks
ia64 selinux: Properly install files and symlinks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.3
ia64 Linux
low Severity low
: rc
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: 227711
  Show dependency treegraph
 
Reported: 2008-04-09 15:17 EDT by Prarit Bhargava
Modified: 2012-10-16 04:21 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:31:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Prarit Bhargava 2008-04-09 15:17:42 EDT
Description of problem:

On ia64 systems the bootloader of choice is EFI.  EFI
requires a VFAT partition where kernel images, etc., are placed.

The current install command, "make install" executes /sbin/installkernel in
order to correctly place the bootimage, etc., in the INSTALL_PATH directory
(/sbin/installkernel is part of the mkinitrd package).

Currently, on ia64, the INSTALL_PATH directory is /boot.  This is incorrect,
and should be /boot/efi/efi/_vendor_specific_/ .  For example, in the case
of RedHat INSTALL_PATH should be /boot/efi/efi/redhat/.

The patch below modifies the /sbin/installkernel script so that

a) Creates LINK_PATH which indicates which directory the soft links should
be created in.  By default this is set to /boot, which is where the links
are currently being created.
b) Correctly creates the links in $LINK_PATH and not in $INSTALL_PATH, and
c) Creates the $KERNEL_NAME soft link once.

Verified on ia64 and x86_64.

I hope that we can get a mini-review and resolve any issues here so that I can
push this upstream.

Version-Release number of selected component (if applicable): Pretty much every
version...

Steps to Reproduce:
1.  execute make install in the kernel sources
  
Actual results:

vmlinuz, System.map are placed in /boot.

Expected results: vmlinuz, System.map should be in /boot/efi/efi/redhat


Additional info:

Need to add /boot/efi/efi/redhat/System*.map as a system_u:object_r:system_map_t:s0
Comment 1 Daniel Walsh 2008-04-21 09:37:44 EDT
Fixed in selinux-policy-2.4.6-133.fc9.noarch
Comment 2 RHEL Product and Program Management 2008-06-02 16:08:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 errata-xmlrpc 2009-01-20 16:31:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0163.html

Note You need to log in before you can comment on or make changes to this bug.